﻿//-----------------------------------------------------------------------
// <copyright file="AttributeTypes.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Commerce
{
    using System;
    using System.Collections.Generic;
    using Delta.Data.DataExpress;

    /// <summary>
    /// Collection of attribute types
    /// </summary>
    [Serializable]
    public class AttributeTypes : List<AttributeType>
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the AttributeTypes class.
        /// </summary>
        public AttributeTypes()
        {
        }
        #endregion

        #region Load Methods
        /// <summary>
        /// Load attribute types
        /// </summary>
        /// <returns>Collection of attributes</returns>
        public static AttributeTypes Load()
        {
            return DataAccess.GetCollection<AttributeTypes, AttributeType>("LoadAttributeTypes", System.Data.CommandType.StoredProcedure);
        }
        #endregion
    }
}
