﻿//-----------------------------------------------------------------------
// <copyright file="Images.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Commerce
{
    using System;
    using System.Collections.Generic;
    using Delta.Data.DataExpress;

    /// <summary>
    /// Collection of Images.
    /// </summary>
    [Serializable]
    public class Images : List<Image>
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the Images class.
        /// </summary>
        public Images()
        {
        }
        #endregion

        #region Load Method
        /// <summary>
        /// Loads all the Images
        /// </summary>
        /// <param name="showDeleted">Show deleted</param>
        /// <returns>Collection of images</returns>
        public static Images Load(bool showDeleted)
        {
            Parameters parameters = new Parameters();
            parameters.Add(new Parameter("Deleted", showDeleted));
            return DataAccess.GetCollection<Images, Image>("LoadImages", System.Data.CommandType.StoredProcedure, parameters);
        }

        /// <summary>
        /// Loads all the Images
        /// </summary>
        /// <param name="ownerGuid">Owner unique identifier</param>
        /// <param name="showDeleted">Show deleted</param>
        /// <returns>Collection of images</returns>
        public static Images Load(Guid ownerGuid, bool showDeleted)
        {
            Parameters parameters = new Parameters();
            parameters.Add(new Parameter("OwnerGuid", ownerGuid));
            parameters.Add(new Parameter("Deleted", showDeleted));
            return DataAccess.GetCollection<Images, Image>("LoadImages", System.Data.CommandType.StoredProcedure, parameters);
        }
        #endregion
    }
}
