﻿//-----------------------------------------------------------------------
// <copyright file="Manufacturers.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//---------------------------------------------------------------------

namespace Delta.Mercury.Business.Commerce
{
    using System;
    using System.Collections.Generic;
    using Delta.Data.DataExpress;

    /// <summary>
    /// Collection of manufacturers
    /// </summary>
    [Serializable]
    public class Manufacturers : List<Manufacturer>
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the Manufacturers class.
        /// </summary>
        public Manufacturers()
        {
        }
        #endregion

        #region Load Methods
        /// <summary>
        /// Get collection of manufacturers
        /// </summary>
        /// <param name="showDeleted">Show deleted</param>
        /// <returns>Collection of manufacturers</returns>
        public static Manufacturers Load(bool showDeleted)
        {
            Parameters parameters = new Parameters();
            parameters.Add(new Parameter("Deleted", showDeleted));
            return DataAccess.GetCollection<Manufacturers, Manufacturer>("LoadManufacturers", System.Data.CommandType.StoredProcedure, parameters);
        }
        #endregion
    }
}
