﻿//-----------------------------------------------------------------------
// <copyright file="OrderStatuses.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Commerce
{
    using System;
    using System.Collections.Generic;
    using Delta.Data.DataExpress;

    /// <summary>
    /// Collection of order status
    /// </summary>
    [Serializable]
    public class OrderStatuses : List<OrderStatus>
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the OrderStatuses class.
        /// </summary>
        public OrderStatuses()
        {
        }
        #endregion

        #region Load Methods
        /// <summary>
        /// Load order status
        /// </summary>
        /// <returns>Colelction of order status</returns>
        public static OrderStatuses Load()
        {
            return DataAccess.GetCollection<OrderStatuses, OrderStatus>("LoadOrderStatuses", System.Data.CommandType.StoredProcedure);
        }
        #endregion
    }
}
