﻿//-----------------------------------------------------------------------
// <copyright file="ContactTypes.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.User
{
    using System;
    using System.Collections.Generic;
    using Delta.Data.DataExpress;

    /// <summary>
    /// Collection of contact types.
    /// </summary>
    [Serializable]
    public class ContactTypes : List<ContactType>
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the ContactTypes class.
        /// </summary>
        public ContactTypes()
        {
        }
        #endregion

        #region Load Method
        /// <summary>
        /// Loads all the contact types
        /// </summary>
        /// <param name="showDeleted">Show deleted contact types</param>
        /// <returns>Collection of contact types</returns>
        public static ContactTypes Load(bool showDeleted)
        {
            Parameters parameters = new Parameters();
            parameters.Add(new Parameter("Deleted", showDeleted));
            return DataAccess.GetCollection<ContactTypes, ContactType>("LoadContactTypes", System.Data.CommandType.StoredProcedure, parameters);
        }
        #endregion
    }
}
