﻿//-----------------------------------------------------------------------
// <copyright file="InvalidEmailAddressException.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Invalid Email Address Exception
    /// <remarks>Used to indicate input was not a valid email address.</remarks>
    /// </summary>
    public class InvalidEmailAddressException : Exception
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the InvalidEmailAddressException class.
        /// </summary>
        public InvalidEmailAddressException()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidEmailAddressException class.
        /// </summary>
        /// <param name="message">Exception message</param>
        public InvalidEmailAddressException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidEmailAddressException class.
        /// </summary>
        /// <param name="message">Exception message</param>
        /// <param name="innerException">Inner exception</param>
        public InvalidEmailAddressException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
      
        /// <summary>
        /// Initializes a new instance of the InvalidEmailAddressException class.
        /// </summary>
        /// <param name="info">Serialization information</param>
        /// <param name="context">Streaming context</param>
        protected InvalidEmailAddressException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {       
        }
         
        #endregion
    }
}
