﻿//-----------------------------------------------------------------------
// <copyright file="InvalidPasswordException.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Invalid password exception
    /// <remarks>Used to indicate input was not the required password.</remarks>
    /// </summary>
    public class InvalidPasswordException : Exception
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the InvalidPasswordException class.
        /// </summary>
        public InvalidPasswordException()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidPasswordException class.
        /// </summary>
        /// <param name="message">Exception message</param>
        public InvalidPasswordException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidPasswordException class.
        /// </summary>
        /// <param name="message">Exception message</param>
        /// <param name="innerException">Inner exception</param>
        public InvalidPasswordException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidPasswordException class.
        /// </summary>
        /// <param name="info">Serialization information</param>
        /// <param name="context">Streaming context</param>
        protected InvalidPasswordException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
         
        #endregion
    }
}
