﻿//-----------------------------------------------------------------------
// <copyright file="EmailTemplates.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Web
{
    using System;
    using System.Collections.Generic;
    using Delta.Data.DataExpress;

    /// <summary>
    /// Email template collection
    /// </summary>
    [Serializable]
    public class EmailTemplates : List<EmailTemplate>
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the EmailTemplates class
        /// </summary>
        public EmailTemplates()
        {
        }
        #endregion

        #region Load Methods
        /// <summary>
        /// Load email templates
        /// </summary>
        /// <returns>Collection of Email Templates</returns>
        public static EmailTemplates Load()
        {
            return DataAccess.GetCollection<EmailTemplates, EmailTemplate>("LoadEmailTemplates", System.Data.CommandType.StoredProcedure);
        }
        #endregion
    }
}
