﻿//-----------------------------------------------------------------------
// <copyright file="RobotTag.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Web
{
    using System;

    /// <summary>
    /// Robot Tags
    /// </summary>
    [Serializable]
    public enum RobotTag
    {
        /// <summary>
        /// Robot Index
        /// </summary>
        Index,

        /// <summary>
        /// Robot No Index
        /// </summary>
        NoIndex,

        /// <summary>
        /// Robot Follow
        /// </summary>
        Follow,

        /// <summary>
        /// Robot No Follow
        /// </summary>
        NoFollow,

        /// <summary>
        /// Robot Follow / No Index
        /// </summary>
        NoIndexFollow,

        /// <summary>
        /// Robot Index / No Follow
        /// </summary>
        IndexNoFollow,

        /// <summary>
        /// Robot No Index / No Follow
        /// </summary>
        NoIndexNoFollow,

        /// <summary>
        /// Robot Index / Follow
        /// </summary>
        All
    }
}

