﻿//-----------------------------------------------------------------------
// <copyright file="MetaKeyword.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Web
{
    using System;

    /// <summary>
    /// Meta Keyword class
    /// </summary>
    [Serializable]
    public class MetaKeyword
    {
        #region Constructor
        /// <summary>
        /// Initializes a new instance of the MetaKeyword class
        /// </summary>
        public MetaKeyword()
        {
            this.Value = string.Empty;
        }

        /// <summary>
        /// Initializes a new instance of the MetaKeyword class
        /// </summary>
        /// <param name="value">meta keyword value</param>
        public MetaKeyword(string value)
        {
            this.Value = value;
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the value of the keyword
        /// </summary>
        public string Value { get; set; }
        #endregion
    }
}
