﻿//-----------------------------------------------------------------------
// <copyright file="IdentifierBase.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business
{
    using System;

    /// <summary>
    /// Unique identifier base class
    /// </summary>
    [Serializable]
    public abstract class IdentifierBase
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the IdentifierBase class.
        /// </summary>
        public IdentifierBase()
        {
            this.Guid = Guid.NewGuid();
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the unique identifier
        /// </summary>
        public Guid Guid { get; set; }
        #endregion
    }
}
