﻿//-----------------------------------------------------------------------
// <copyright file="InvalidLengthException.cs" company="Craig Longford (deltawolf7@gmail.com)">
//     Copyright (c) Craig Longford. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace Delta.Mercury.Business.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Invalid length exception
    /// <remarks>Used to indicate input was not the required length.</remarks>
    /// </summary>
    public class InvalidLengthException : Exception
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the InvalidLengthException class.
        /// </summary>
        public InvalidLengthException()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidLengthException class.
        /// </summary>
        /// <param name="message">Exception message</param>
        public InvalidLengthException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidLengthException class.
        /// </summary>
        /// <param name="message">Exception message</param>
        /// <param name="innerException">Inner exception</param>
        public InvalidLengthException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the InvalidLengthException class.
        /// </summary>
        /// <param name="info">Serialization information</param>
        /// <param name="context">Streaming context</param>
        protected InvalidLengthException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {   
        }
         
        #endregion
    }
}
